# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.health
Class H9Service

    java.lang.Object
      com.google.gdata.client.Service
          com.google.gdata.client.GoogleService
              com.google.gdata.client.health.H9Service

All Implemented Interfaces:
  AuthTokenFactory.TokenListener

    public class H9Service

extends GoogleService

The H9Service class extends the basic `GoogleService` abstraction to define a service that is preconfigured for access to the Health data API.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.GoogleService
`GoogleService.AccountDeletedException, GoogleService.AccountDisabledException, GoogleService.CaptchaRequiredException, GoogleService.InvalidCredentialsException, GoogleService.NotVerifiedException, GoogleService.ServiceUnavailableException, GoogleService.SessionExpiredException, GoogleService.TermsNotAgreedException`

Nested classes/interfaces inherited from class com.google.gdata.client.Service
`Service.ClientInputProperties, Service.ClientOutputProperties, Service.ClientStreamProperties, Service.GDataRequest, Service.GDataRequestFactory, Service.Versions`

Field Summary
`static java.lang.String` `H9_SERVICE` The abbreviated name of Health recognized by Google.
`static java.lang.String` `H9_SERVICE_VERSION` The version ID of the service.

Fields inherited from class com.google.gdata.client.Service
`connectTimeout, extProfile, metadataRegistry, requestFactory`

Constructor Summary
`H9Service(java.lang.String applicationName)` Constructs a H9Service instance connecting to the Health service for an application with the name `applicationName`.
`H9Service(java.lang.String applicationName, java.lang.String protocol, java.lang.String domainName)` Constructs a GoogleService instance connecting to the Health service with name `serviceName` for an application with the name `applicationName`.

Method Summary
`java.lang.String` `getServiceVersion()` Returns information about the service version.

Methods inherited from class com.google.gdata.client.GoogleService

`addCookie, batch, createRequest, createRequest, delete, delete, getAuthToken, getAuthTokenFactory, getCookieManager, getCookies, getEntry, getEntry, getFeed, getFeed, getFeed, getFeed, handleRedirectException, handlesCookies, handleSessionExpiredException, insert, makePostRequest, setAuthSubToken, setAuthSubToken, setAuthTokenFactory, setCookieManager, setHandlesCookies, setOAuthCredentials, setUserCredentials, setUserCredentials, setUserCredentials, setUserCredentials, setUserToken, tokenChanged, update`

Methods inherited from class com.google.gdata.client.Service

`classOf, createBatchRequest, createDeleteRequest, createEntryRequest, createFeedRequest, createFeedRequest, createInsertRequest, createLinkQueryRequest, createPatchRequest, createUpdateRequest, delete, delete, endVersionScope, getAltRegistry, getContentType, getDefaultAltRegistry, getEntry, getExtensionProfile, getFeed, getFeed, getMetadataRegistry, getProtocolVersion, getRequestFactory, getSchema, getStreamFromLink, getStrictValidation, getVersion, initServiceVersion, introspect, parseResponseData, parseResponseData, patch, patch, query, query, query, setAcceptLanguage, setAltRegistry, setConnectTimeout, setContentType, setExtensionProfile, setHeader, setOAuthProxyHeaders, setPrivateHeader, setProtocolVersion, setReadTimeout, setRequestFactory, setStrictValidation, setTimeouts, startVersionScope, update, useSsl, writeRequestData, writeRequestData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### H9_SERVICE

    public static final java.lang.String H9_SERVICE

  The abbreviated name of Health recognized by Google. The service name is used when requesting an authentication token.

  See Also:
    Constant Field Values

### H9_SERVICE_VERSION

    public static final java.lang.String H9_SERVICE_VERSION

  The version ID of the service.

Constructor Detail

### H9Service

    public H9Service(java.lang.String applicationName)

  Constructs a H9Service instance connecting to the Health service for an application with the name `applicationName`.

  Parameters:
    `applicationName` - the name of the client application accessing the service. Application names should preferably have the format [company-id]-[app-name]-[app-version]. The name will be used by the Google servers to monitor the source of authentication.

### H9Service

    public H9Service(java.lang.String applicationName,
                     java.lang.String protocol,
                     java.lang.String domainName)

  Constructs a GoogleService instance connecting to the Health service with name `serviceName` for an application with the name `applicationName`. The service will authenticate at the provided `domainName`.

  Parameters:
    `applicationName` - the name of the client application accessing the service. Application names should preferably have the format [company-id]-[app-name]-[app-version]. The name will be used by the Google servers to monitor the source of authentication.
    `protocol` - name of protocol to use for authentication ("http"/"https")
    `domainName` - the name of the domain hosting the login handler

Method Detail

### getServiceVersion

    public java.lang.String getServiceVersion()

  Description copied from class: `Service`
  Returns information about the service version.

  Overrides:
    `getServiceVersion` in class `Service`